export type AllowedPathNames = 'initializers' | 'globals' | 'crs' | 'claims' | 'claimsDefaults' | 'domains' | 'systems' | '.github';
export declare function setExcludedPaths(excludedPaths: string[]): void;
export declare function getAdditionalPaths(): string[];
export declare function getPath(pathName: AllowedPathNames): string;
export declare function setPath(pathName: AllowedPathNames, pathValue: string): void;
export declare function getRenamesEnabled(): boolean;
export declare function setRenamesEnabled(enabled: boolean): void;
export declare enum AllowedProviders {
    all = "all",
    github = "github",
    az = "az",
    terraform = "terraform",
    catalog = "catalog",
    argocd = "argocd",
    externalSecrets = "externalSecrets"
}
export declare function configureProvider(provider: AllowedProviders): void;
export declare function reconfigureProvider(provider: AllowedProviders): void;
export declare function getSelectedKindClaimCrMap(provider?: string): any;
export declare function getConfiguredProvider(): AllowedProviders;
